Bug 1575304

Summary: Wifi connection taking longer with F28
Product: [Fedora] Fedora Reporter: Sammy <umar>
Component: NetworkManagerAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 28CC: alexl, bgalvani, dcbw, eliadevito, fgiudici, john.j5live, lkundrak, mclasen, rhughes, rstrode, sandmann
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 23:19:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sammy 2018-05-05 20:45:04 UTC
After updating to Fedora 28 (+all updates and testing updates) the wifi connection of my laptop takes almost 30s as opposed to almost instantaneous with F27.

This is on Lenovo Thinkpad T450s.

I can see one difference in /var/log/messages between F27 and F28. In F28 I get:

-----------------
May  5 12:54:06 Thinkpad audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-wait-online comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
May  5 12:54:06 Thinkpad systemd[1]: NetworkManager-wait-online.service: Main process exited, code=exited, status=1/FAILURE
May  5 12:54:06 Thinkpad systemd[1]: NetworkManager-wait-online.service: Failed with result 'exit-code'.
May  5 12:54:06 Thinkpad systemd[1]: Failed to start Network Manager Wait Online.

------------------

On F27:

------------------
May  1 16:06:26 Thinkpad systemd[1]: Started Network Manager Wait Online.
May  1 16:06:26 Thinkpad audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=NetworkManager-wait-online comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May  1 16:06:26 Thinkpad systemd[1]: Reached target Network is Online.
------------------

Comment 1 Sammy 2018-05-07 21:00:51 UTC
The issue with NetworkManager-wait-online.service can be solved by reducing the timeout in NetworkManager-wait-online.service from 30 to a lower number like 5. However, this did not resolve the long pause issue that I am having.

What works is to uncheck the "Automatically connect to network when available" option in kde plasma. After this as soon as you log in you can choose to connect to the service and there is no delay in this case. Do we learn something about the culprit from this info? Thanks.

Comment 2 Sammy 2018-05-07 21:11:09 UTC
Ok. If I have the "password" stored for "all" users than it instantaneously comes on upon login. Does this mean the change is coming from KDE plasma and not NM? Because something has changed since F28 since for all previous versions of Fedora it worked as expected.

Comment 3 Elia Devito 2018-11-21 15:52:08 UTC
I think you have my same issue, the problem seem caused by a race condition between kwallet and networkmanger.

more info: https://bugzilla.gnome.org/show_bug.cgi?id=794014

in my case after boot plasma-nm applet stuck on 'waiting for authorization' and i have to wait or disconnect and reconnect  network manually

Comment 4 Ben Cotton 2019-05-02 20:16:45 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-28 23:19:43 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.